Skip to main content
POST
/
v1
/
jobs
/
submit
Gen 4 Turbo Image
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "image_urls": [
      {}
    ],
    "aspect_ratio": "<string>",
    "style": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Edit and transform existing images using Runway’s fast Gen 4 Turbo Image model. Provide reference images along with a text prompt and style presets to guide the editing process.
PropertyValue
ProviderRunway
ModelGen 4 Turbo Image
CapabilityEdit Image
CategoryImage to Image
Base Cost20,000 micro-cents/request ($0.02)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use runway/gen-4-turbo-image/edit-image for image editing.
input
object
required
Input parameters for image editing.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 20,000 micro-cents per request ($0.02)
Fixed cost: 20,000 micro-cents ($0.02) per request at 1080p. No dynamic pricing factors.

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "runway/gen-4-turbo-image/edit-image",
    "input": {
      "prompt": "Edit an image by replacing the background",
      "image_urls": ["https://example.com/your-image.jpg"],
      "aspect_ratio": "16:9",
      "style": "vivid"
    }
  }'